package com.mosty.common.base.constant.enums;

import lombok.AllArgsConstructor;

/**
 *  字典类型枚举
 *
 * @author kevin
 * @date 2022/2/20 3:52 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum DictTypeEnum {

    /** 正常字典 */
    NATURE(1, "正常字典【列表】"),

    /** 树型字典 */
    TREE(2, "树型结构");

    /** 编码 */
    public final Integer code;

    /** 描述 */
    public final String desc;

}
